Bug 619711 - Memory leak in libvirtd
Memory leak in libvirtd
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.4
x86_64 Linux
urgent Severity urgent
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
: ZStream
Depends On: 590073
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-30 05:15 EDT by RHEL Product and Program Management
Modified: 2013-01-10 22:09 EST (History)
21 users (show)

See Also:
Fixed In Version: libvirt-0.6.3-33.el5_5.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-10 13:03:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0615 normal SHIPPED_LIVE Low: libvirt security and bug fix update 2010-08-10 13:02:33 EDT

  None (edit)
Description RHEL Product and Program Management 2010-07-30 05:15:21 EDT
This bug has been copied from bug #590073 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 3 Jiri Denemark 2010-07-30 08:13:49 EDT
Fix built into libvirt-0.6.3-33.el5_5.3
Comment 5 Johnny Liu 2010-08-03 00:23:15 EDT
Verify this bug with libvirt-0.6.3-33.el5_5.3 on RHEL5u5 Server x86_64 Xen, RHEL5u5 Client i386 and RHEL5u5 Server ia64, and PASSED.

1. Update xen to xen-3.0.3-114.el5, libvirt to libvirt-0.6.3-33.el5_5.3;
2. Restart xend and libvirtd service.
3. Open two terminal.
4. On one terminal, run "while true; do echo connect; done | virsh", 
which will repeatedly connect and disconnect to/from libvirtd.
The connect/disconnect loop is not the best way to trigger this leak but seems
to be the easiest one and it shows quite fast.
5. On the other terminal, run "top -d1 -p $(pidof libvirtd)" to watch memory consumption of libvirtd, take note the value of RES column.


With the new package the memory remain more-or-less steady, it sometimes stay unchanged for a while or even go down. So this bug is fixed.
Comment 6 errata-xmlrpc 2010-08-10 13:03:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0615.html

Note You need to log in before you can comment on or make changes to this bug.